SecurityScoreCard is reporting unsecure connections using TLS v1.0, TLS v1.1 from Cloudflare

Hi, SecurityScoreCard is reporting unsecure connections using TLS v1.0, TLS v1.1 and I am trying to figure out where to look at to close the vulnerability. Apparently it originate from a Cloudflare IP 141.193.213.20.

Any ideas what to do?

141.193.213.20
lfs.edu.sg
TLS v1.0, TLS v1.1
Jul 20, 2022 10:01:36 am

You can set a minimum TLS version for your website in the Cloudflare settings.

1 Like